Get Cards
curl --request GET \
--url https://api.sandbox.sudo.cards/cards \
--header 'Authorization: <api-key>'import requests
url = "https://api.sandbox.sudo.cards/cards"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sandbox.sudo.cards/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Cards fetched successfully.",
"data": [
{
"business": "670cec9d25852ba485d74273",
"customer": "64a1b2c3d4e5f6a7b8c9d0e1",
"account": "67974b365c184d20fc340889",
"fundingSource": "670cec9d25852ba485d74286",
"type": "virtual",
"brand": "Verve",
"currency": "NGN",
"maskedPan": "506110******1234",
"expiryMonth": "09",
"expiryYear": "2028",
"metadata": {
"createdBy": "api",
"purpose": "general"
},
"status": "active",
"spendingControls": {
"channels": {
"atm": true,
"pos": true,
"web": true,
"mobile": true,
"_id": "6840b5161443c90831ba07b1"
},
"allowedCategories": [],
"blockedCategories": [],
"spendingLimits": [
{
"amount": 1500000,
"interval": "daily",
"categories": [],
"_id": "6840b5161443c90831ba07b2"
}
],
"_id": "6840b5161443c90831ba07b0"
},
"is2FAEnrolled": false,
"isDefaultPINChanged": false,
"disposable": false,
"refundAccount": null,
"isDeleted": false,
"createdAt": "2025-06-04T21:05:26.115Z",
"updatedAt": "2025-06-05T09:15:00.000Z",
"_id": "6418eb71a37e405064694518",
"__v": 0
}
],
"pagination": {
"total": 8,
"pages": 1,
"page": 0,
"limit": 50
}
}{
"statusCode": 400,
"message": "Invalid pagination parameters.",
"data": null
}{
"statusCode": 401,
"message": "Unauthorized. Provide a valid API key in the Authorization header.",
"data": null
}Cards
Get Cards
Fetches cards according to query parameters.
GET
/
cards
Get Cards
Authorizations
Query Parameters
Specifies the position the response data should begin from.
The number of cards to fetch.
Response
Cards fetched successfully.
⌘I
